--- ./DEMOS/Makefile.orig	Tue Jan 24 10:04:37 1995
+++ ./DEMOS/Makefile	Tue Dec 31 11:18:33 2019
@@ -1,12 +1,13 @@
 #
 # compiler
 #
-CC= cc
 CFLAGS= -O -I../FORMS
 LDFLAGS = -L../FORMS -s
 #
-LIBS= -lc_s -lforms -lfm_s -lgl_s -lm
+LIBS= -lforms -lgl -lfm -lm -lX11
 #
+DIR= /usr/nekoware/demos/forms
+#
 DEMOSO= demo.o \
 	demo01.o demo02.o demo03.o demo04.o demo05.o \
 	demo06.o demo07.o demo08.o demo09.o demo10.o \
@@ -28,6 +29,11 @@
 
 clean:
 	-rm  *.o
+
+install:
+	mkdir -p ${DIR}
+	cp ${DEMOS} ${DIR}
+	cp demo.menu ${DIR}
 
 empty: clean
 	-rm ${DEMOS}
--- ./DESIGN/Makefile.orig	Tue Jan 24 10:04:44 1995
+++ ./DESIGN/Makefile	Tue Dec 31 11:14:29 2019
@@ -1,15 +1,14 @@
 #
 #  compiler
 #
-CC= cc
 CFLAGS= -O -I../FORMS
 LDFLAGS= -L../FORMS -s
 #
-LIBS= -lforms -lfm_s -lgl_s -lm -lc_s
+LIBS= -lforms -lfm -lgl -lm -lX11
 #
 # Change the following for correct installation
 #
-DIR= /usr/sbin
+DIR= /usr/nekoware/bin
 #
 FILEo = fd_rubber.o fd_select.o fd_names.o fd_objects.o fd_attribs.o \
         fd_forms.o fd_groups.o fd_file.o fd_print.o fd_theforms.o \
@@ -21,10 +20,12 @@
 	${CC} ${CFLAGS} ${LDFLAGS} $(FILEo) -o fdesign ${LIBS}
 
 conv15to20: conv15to20.o
-	${CC} conv15to20.o -o conv15to20 -s
+	${CC} conv15to20.o -o conv15to20
 
-install: fdesign
+install: all
 	cp fdesign ${DIR}
+	cp conv15to20 ${DIR}
+
 clean:
 	-rm *.o
 
--- ./FORMS/Makefile.orig	Tue Jan 24 10:04:41 1995
+++ ./FORMS/Makefile	Tue Dec 31 01:01:27 2019
@@ -1,8 +1,7 @@
 #
 #  compiler
 #
-CC= cc
-CFLAGS= -O
+CFLAGS= -O -KPIC
 #
 # For making the library
 #
@@ -10,43 +9,64 @@
 #
 # For instalation. Change this to your settings.
 #
-INCLUDEDIR= /usr/include
-LIBDIR= /usr/lib
+INCLUDEDIR= /usr/nekoware/include
+LIBDIR= /usr/nekoware/lib
 #
 #   products
 #
-LIB= libforms.a
 INCLUDE= forms.h
+LIBSTATIC= libforms.a
+LIBSHARED= libforms.so
 #
 #   compilation control
 #
-LIBOBJS= ${LIB}(objects.o) ${LIB}(forms.o) \
-	 ${LIB}(events.o) ${LIB}(support.o) \
-	 ${LIB}(symbols.o) ${LIB}(draw.o) ${LIB}(sldraw.o) \
-	 ${LIB}(fselect.o) ${LIB}(goodies.o) \
-	 ${LIB}(box.o) ${LIB}(text.o) ${LIB}(slider.o) ${LIB}(input.o) \
-	 ${LIB}(menu.o) ${LIB}(button.o) ${LIB}(dial.o) \
-	 ${LIB}(timer.o) \
-         ${LIB}(free.o) ${LIB}(clock.o) ${LIB}(counter.o) \
-         ${LIB}(browser.o) ${LIB}(positioner.o) \
- 	 ${LIB}(choice.o) ${LIB}(bitmap.o) \
-	 ${LIB}(chart.o)
+LIBOBJS=objects.o \
+	forms.o \
+	events.o \
+	support.o \
+	symbols.o \
+	draw.o \
+	sldraw.o \
+	fselect.o \
+	goodies.o \
+	box.o \
+	text.o \
+	slider.o \
+	input.o \
+	menu.o \
+	button.o \
+	dial.o \
+	timer.o \
+	free.o \
+	clock.o \
+	counter.o \
+	browser.o \
+	positioner.o \
+	choice.o \
+	bitmap.o \
+	chart.o
+
+all:	${LIBSTATIC} ${LIBSHARED}
+
+${LIBSTATIC}:	$(LIBOBJS)
+	rm -f $@
+	${AR} ${ARFLAGS} $@ $(LIBOBJS)
 
-all:		${LIBOBJS}
+${LIBSHARED}:	$(LIBOBJS)
+	$(CC) $(CFLAGS) -shared -Wl,-soname -Wl,libforms.so -Wl,-set_version,sgi1.0 -o $@ $(LIBOBJS)
 
 ${LIBOBJS}:	${INCLUDE}
 
-.c.a:
+.c.o:
 	${CC} -c ${CFLAGS} $<
-	${AR} ${ARFLAGS} $@ $*.o
-	rm -f $*.o
 
 ${INCLUDE}:	INCLUDE/*.h
 	cat INCLUDE/*.h > ${INCLUDE}
 
 empty:
-	-rm -f ${INCLUDE} ${LIB}
+	-rm -f ${INCLUDE} ${LIBSTATIC} ${LIBSHARED}
 
 install:	${LIBOBJS}
-	cp ${LIB} ${LIBDIR}
+	cp ${LIBSTATIC} ${LIBDIR}
+	cp ${LIBSHARED} ${LIBDIR}
 	cp ${INCLUDE} ${INCLUDEDIR}
--- ./Makefile.orig	Tue Dec 31 10:58:40 2019
+++ ./Makefile	Tue Dec 31 10:59:31 2019
@@ -6,6 +6,11 @@
 	(cd DESIGN; make all)
 	(cd DEMOS; make all)
 
+install:
+	(cd FORMS; make install)
+	(cd DESIGN; make install)
+	(cd DEMOS; make install)
+
 empty:
 	(cd FORMS; make empty)
 	(cd DESIGN; make empty)
